Arm Mbed and Pelion Device Management support forum

Online Compiler does not work

When trying to compile, I get this error message:
"
Error: Target.default_lib is no longer supported, please use target.c_lib for C library selection.
"
What should be done to solve this problem?

Regards
Geir Helge

Same problem here

I also face this problem. Hope it can be quickly solved.

me too, can’t compile any more

Same problem on my end, same error message when trying to compile:

Error: Target.default_lib is no longer supported, please use target.c_lib for C library selection.

Tested with my own existing project (target: NUCLEO L432KC) and new “Blinky” template (same target).

Hi, I’ve made the team aware of this and we’ll investigate ASAP.

Apologies for the inconvenience, the Online Compiler should be back working now.

Thank You, it works again

same here

me to